//+------------------------------------------------------------------+
//|                                              CTechIndicators.mqh |
//|                               Copyright  2013, Jordi Bassagaas |
//+------------------------------------------------------------------+
#include <..\Experts\NewsWatcher\CMomentum.mqh>
//+------------------------------------------------------------------+
//|  CTechIndicators                                            |
//+------------------------------------------------------------------+
class CTechIndicators
  {
protected:
   CMomentum               *m_momentum;
                  
public:
   //---   
                           CTechIndicators(void);
                           ~CTechIndicators(void);
   //--- 
   CMomentum               *GetMomentum(void);
   //---   CTechIndicators
   bool                 Init();
   void                 Deinit(void);
  };
//+------------------------------------------------------------------+
//|                                                       |
//+------------------------------------------------------------------+   
CTechIndicators::CTechIndicators(void)
  {
   m_momentum = new CMomentum; 
  }
//+------------------------------------------------------------------+
//|                                                        |
//+------------------------------------------------------------------+               
CTechIndicators::~CTechIndicators(void)
  {
   Deinit();
  }
//+------------------------------------------------------------------+
//| GetMomentum                                                      |
//+------------------------------------------------------------------+        
CMomentum* CTechIndicators::GetMomentum(void)
  {
   return m_momentum;
  }
//+------------------------------------------------------------------+
//|  CTechIndicators                                    |
//+------------------------------------------------------------------+
bool CTechIndicators::Init(void)
  {
//    ...
   return true;
  }
//+------------------------------------------------------------------+
//|  CTechIndicators                                  |
//+------------------------------------------------------------------+
void CTechIndicators::Deinit(void)
  {
   delete(m_momentum);
   Print(" CTechIndicators !");
  }
//+------------------------------------------------------------------+
